<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once 'util.php';

class CabcomumPessoaDocumento extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('cabcomum.pessoa_documento');
		$this->hasColumn('idpessoa','integer', NULL, array('notnull','primary'));
		$this->hasColumn('idtipo_documento','integer', NULL, array('notnull','primary'));
		$this->hasColumn('numero','string', 20);
		$this->hasColumn('idestado','integer');
		$this->hasColumn('idorgao','integer');
		$this->hasColumn('data_emissao','date');
		$this->hasColumn('serie','string',50);
		$this->hasColumn('folha','string',10);
		$this->hasColumn('idtipo_certidao','integer');
		$this->hasColumn('termo','string',50);
		$this->hasColumn('livro','string',20);
		$this->hasColumn('cartorio','string',100);
		$this->hasColumn('img_documento_frente','blob');
		$this->hasColumn('img_documento_verso','blob');
		$this->hasColumn('zona','string',50);
		$this->hasColumn('secao','string',50);
		$this->hasColumn('apresentado','integer',1,array('default'=>'0'));
		$this->hasColumn('matricula_certidao','string',38);
	}

	function validate()
	{
		trim_string_columns($this);

		if(!$this->data_emissao)
			$this->data_emissao = null;
	}

	function setUp()
	{
		$this->hasOne('CabcomumTipoDocumento as tipo_documento',
			array('local'=>'idtipo_documento',
			      'foreign'=>'id'));

		$this->hasOne('CabcomumEstado as estado',
			array('local'=>'idestado',
			      'foreign'=>'id'));

		$this->hasOne('CabcomumOrgaoEmissor as orgao_emissor',
			array('local'=>'idorgao',
			      'foreign'=>'id'));

		$this->hasOne('CabcomumPessoa as pessoa',
			array('local'=>'idpessoa',
			      'foreign'=>'id'));

		$this->hasOne('CabcomumTipoCertidao as tipo_certidao',
			array('local'=>'idtipo_certidao',
			      'foreign'=>'id'));
	}
};

?>
